import React, { Component } from 'react'
import Paper from 'material-ui/Paper'
import TextField from 'material-ui/TextField'
import { withStyles } from 'material-ui/styles'

const styles = theme => ({
    root: {
        display: 'flex',
        alignItems: 'center',
        justifyContent: 'center'
    }
})

class Login extends Component {
    render() {
        const { classes } = this.props

        return (
            <div className={classes.root}>
                <Paper className={classes.root} elevation={4}>
                    <form>
                        <TextField label='Usuario' autoComplete='off' />
                        <TextField label='Contraseña' type='password' autoComplete='off' />
                    </form>
                </Paper>
            </div>
        )
    }
}

export default withStyles(styles)(Login)