import { REQUEST_KO, REQUEST_GET, REQUEST_WAIT } from "../constants/ActionTypes";

const initialState = {
    status: 0,
    message: null
}

/**
 * 
 * @param {*} state 
 * @param {*} action 
 */
export const app = (state = initialState, action) => {
    if (action.type === REQUEST_GET) {
        return {
            status: 0,
            message: action.payload
        }
    }

    if (action.type === REQUEST_GET) {
        return {
            status: 1,
            message: action.payload
        }
    }

    if (action.type === REQUEST_WAIT) {
        return {
            status: 2,
            message: action.payload
        }
    }

    if (action.type === REQUEST_KO) {
        return {
            status: 3,
            message: action.payload
        }
    }

    return state
}